<!-- Copyright (C) 2017-2020 Linagora

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>. -->

<nav fxFlex fxLayout="row wrap" class="breadcrumb">
  <div
    fxLayout="row"
    fxLayoutAlign="start center"
    class="breadcrumb-item"
  >
    <!--
      Temporary fix: routerLinkActive not updating when routerLink changed.
      This hack seems to be worked fine '__change_detection_hack__'.
      See https://github.com/angular/angular/issues/18469#issuecomment-345436335
    -->
    <a
      mat-button
      [routerLink]="['/workspaces', workspace.id]"
      routerLinkActive="active-link"
      [routerLinkActiveOptions]="{exact: true, __change_detection_hack__: workspace.id}"
      class="breadcrumb-item-link"
    >
      <div fxLayout="row" fxLayoutAlign="start center">
        <h4 class="item-name">
          {{ workspace.name | shorten: maxLength:'...' }}
        </h4>
      </div>
    </a>
  </div>
</nav>
